apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: s3-metrics-reporter-hourly
  namespace: metrics-tools
  labels:
    app.kubernetes.io/name: s3-metrics-reporter-hourly
spec:
  schedule: "0 * * * *"
  concurrencyPolicy: Allow
  jobTemplate:
    metadata:
      labels:
        app.kubernetes.io/name: s3-metrics-reporter-hourly
    spec:
      template:
        spec:
          dnsPolicy: Default
          restartPolicy: Never
          containers:
          - name: s3-metrics-reporter-hourly
            image: "docker-registry.zooxlabs.com/s3_metrics_reporter:1.0.1"
            env:
              - name: LOG_LEVEL
                value: "DEBUG"
            args: ["-t`", "-v", "--commit"]
            imagePullPolicy: Always
